import { SafeAreaView, Text, View } from "react-native";
import React from "react";
import Button from "@/components/ui/Button";
import { useSession } from "@/ctx";
import { router } from "expo-router";

export default function ProfileScreen() {
  const { signOut } = useSession();

  const disconnect = () => {
    signOut();
    router.replace("/log-in");
  };

  return (
    <SafeAreaView>
      <View>
        <Text className="m-7 font-extrabold">Welcome Screen </Text>
        <Text>We will do it soon</Text>
      </View>
      <Button onPress={disconnect}>Se déconnecter</Button>
    </SafeAreaView>
  );
}
